# PagedComponentContext

class PagedComponentContext < T >(source)

Context for managing paginated data in a Compose UI.

#### Parameters

T

The type of data being paginated.

preset

Optional preset pagination result.

initialPage

Initial page number.

size

Number of items per page.

## Functions

loadNext
Link copied to clipboard
fun loadNext ()

Loads the next page of data. If the last page is reached, this function returns early.

loadPrevious
Link copied to clipboard
fun loadPrevious ()

Loads the previous page of data if available.

reload
Link copied to clipboard
fun reload ()

Reloads the current page, refreshing the data.